This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

Author Arfrever
Recipients Arfrever, alexis, eric.araujo, tarek
Date 2011-11-14.14:48:16
SpamBayes Score 1.6665e-06
Marked as misclassified No
Message-id <1321282097.37.0.693088956627.issue13399@psf.upfronthosting.co.za>
In-reply-to
Content
$ pysetup3.3 unknown_action
Unrecognized action "unknown_action"
Traceback (most recent call last):
  File "/usr/lib64/python3.3/packaging/run.py", line 650, in main
    dispatcher = Dispatcher(args)
  File "/usr/lib64/python3.3/packaging/run.py", line 404, in __init__
    raise PackagingArgError(msg)
packaging.errors.PackagingArgError: Unrecognized action "unknown_action"
$ pysetup3.3 run unknown_command
Invalid command unknown_command
Traceback (most recent call last):
  File "/usr/lib64/python3.3/packaging/command/__init__.py", line 57, in get_command_class
    cls = _COMMANDS[name]
KeyError: 'unknown_command'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.3/packaging/run.py", line 448, in _parse_command_opts
    cmd_class = get_command_class(command)
  File "/usr/lib64/python3.3/packaging/command/__init__.py", line 59, in get_command_class
    raise PackagingModuleError("Invalid command %s" % name)
packaging.errors.PackagingModuleError: Invalid command unknown_command

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.3/packaging/run.py", line 653, in main
    return dispatcher()
  File "/usr/lib64/python3.3/packaging/run.py", line 642, in __call__
    return func(self, self.args)
  File "/usr/lib64/python3.3/packaging/run.py", line 91, in wrapper
    return f(*args, **kwargs)
  File "/usr/lib64/python3.3/packaging/run.py", line 271, in _run
    args = dispatcher._parse_command_opts(parser, args)
  File "/usr/lib64/python3.3/packaging/run.py", line 450, in _parse_command_opts
    raise PackagingArgError(msg)
packaging.errors.PackagingArgError: Invalid command unknown_command
History
Date User Action Args
2011-11-14 14:48:17Arfreversetrecipients: + Arfrever, tarek, eric.araujo, alexis
2011-11-14 14:48:17Arfreversetmessageid: <1321282097.37.0.693088956627.issue13399@psf.upfronthosting.co.za>
2011-11-14 14:48:16Arfreverlinkissue13399 messages
2011-11-14 14:48:16Arfrevercreate